#ifndef R_TYPEDEFS_H
#define R_TYPEDEFS_H 

#if defined(__CCRX__)

#ifndef __cplusplus
#define bool _Bool
#define false 0
#define true 1
#define NULL 0
#endif

typedef signed char int8_t;
typedef unsigned char uint8_t;
typedef signed short int16_t;
typedef unsigned short uint16_t;
typedef signed long int32_t;
typedef unsigned long uint32_t;
typedef signed long long int64_t;
typedef unsigned long long uint64_t;
#ifndef __cplusplus
typedef unsigned int _Bool;
#endif
typedef unsigned long size_t;

#elif defined(__GNUC__)

#include <stdint.h>
#ifndef __cplusplus
#include <stdbool.h>
#endif
#include <stddef.h>

#endif

#endif
